RPC_GSS_GETCRED(3)

NAME
rpc_gss_getcred - Get authorization information for an RPC request

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
AUTH *
rpc_gss_getcred(struct svc_req *req, rpc_gss_rawcred_t **rcred, rpc_gss_ucred_t **ucred, void **cookie);

DESCRIPTION
This function returns the RPCSEC_GSS authenticated credentials associated with an RPC request.

PARAMETERS

req The RPC request to query

rcred
    If non-null, *rcred is set to point at the raw credentials for this request

ucred

rcred
    If non-null, *ucred is set to point at the corresponding unix credentials

cookie
    If non-null, *cookie is set to the cookie value returned by a callback function registered with rpc_gss_set_callback()

RETURN VALUES
Returns TRUE if successful, FALSE otherwise.

SEE ALSO
gssapi(3), rpc(3), rpc_gss_set_callback(3), rpcsec_gss(3)

HISTORY
The rpc_gss_getcred function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.